<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<script src="https://cdn.jsdelivr.net/jquery.validation/1.15.1/jquery.validate.min.js"></script>
<link href="https://fonts.googleapis.com/css?family=Kaushan+Script" rel="stylesheet">
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
<body>
   <div class="container">
      <div class="row">
         <div class="col-md-5 mx-auto">
            <div id="first">
               <div class="myform form ">
                  <div class="logo mb-3">
                     <div class="col-md-12 text-center">
                        <h1>Sign In</h1>
                     </div>
                  </div>
                  <%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
                     <div class="form-group">
                        <!-- <label for="exampleInputEmail1">Email address</label> -->
                        <%= f.email_field :email, autofocus: true, autocomplete: "email", placeholder: 'Email' %>  
                     </div>
                     <div class="form-group">
                        <!-- <label for="exampleInputEmail1">Password</label> -->
                        <%= f.password_field :password, autocomplete: "current-password", placeholder: 'Password' %>
                     </div>
                     <div class="form-group">
                        <p class="text-center">By signing up you accept our <a href="#">Terms Of Use</a></p>
                     </div>
                     <div class="col-md-12 text-center ">
                        <button type="submit" class=" btn btn-block mybtn btn-primary tx-tfm">Login</button>
                     </div>
                     <div class="col-md-12 ">
                        <div class="login-or">
                           <hr class="hr-or">
                           <span class="span-or">or</span>
                        </div>
                     </div>
                     <div class="form-group">
                        <p class="text-center">Don't have account? <a href="<%= new_user_registration_path %>" id="signup">Sign up here</a></p>
                     </div>
                  <% end %>
               </div>
            </div>
            <div id="second">
               <div class="myform form ">
                  <div class="logo mb-3">
                     <div class="col-md-12 text-center">
                        <h1 >Signup</h1>
                     </div>
                  </div>
                  <form action="#" name="registration">
                     <div class="form-group">
                        <label for="exampleInputEmail1">First Name</label>
                        <input type="text"  name="firstname" class="form-control" id="firstname" aria-describedby="emailHelp" placeholder="Enter Firstname">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Last Name</label>
                        <input type="text"  name="lastname" class="form-control" id="lastname" aria-describedby="emailHelp" placeholder="Enter Lastname">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Email address</label>
                        <input type="email" name="email"  class="form-control" id="email" aria-describedby="emailHelp" placeholder="Enter email">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Password</label>
                        <input type="password" name="password" id="password"  class="form-control" aria-describedby="emailHelp" placeholder="Enter Password">
                     </div>
                     <div class="col-md-12 text-center mb-3">
                        <button type="submit" class=" btn btn-block mybtn btn-primary tx-tfm">Get Started For Free</button>
                     </div>
                     <div class="col-md-12 ">
                        <div class="form-group">
                           <p class="text-center"><a href="#" id="signin">Already have an account?</a></p>
                        </div>
                     </div>
               </div>
               </form>
            </div>
         </div>
      </div>
   </div>
</body>






<style type="text/css">

input[type="email"], input[type="password"] {
    width: 100%;
    display: block;
    margin: 20px 0;
    padding: 8px;
    border: 1px solid #b5b5b5;
    outline: none;
}

.btn-primary {
    color: #fff;
    background-color: #9AB45B!important;
    border-color: #9AB45B!important;
}
          body{
        padding-top:4.2rem;
    padding-bottom:4.2rem;
    background-color: #9AB45B;
        }
        a{
         text-decoration:none !important;
         }
         h1,h2,h3{
         font-family: 'Kaushan Script', cursive;
         }
          .myform{
    position: relative;
    display: -ms-flexbox;
    display: flex;
    padding: 1rem;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 1.1rem;
    outline: 0;
    max-width: 500px;
     }
         .tx-tfm{
         text-transform:uppercase;
         }
         .mybtn{
         border-radius:50px;
         }
        
         .login-or {
         position: relative;
         color: #aaa;
         margin-top: 10px;
         margin-bottom: 10px;
         padding-top: 10px;
         padding-bottom: 10px;
         }
         .span-or {
         display: block;
         position: absolute;
         left: 50%;
         top: -2px;
         margin-left: -25px;
         background-color: #fff;
         width: 50px;
         text-align: center;
         }
         .hr-or {
         height: 1px;
         margin-top: 0px !important;
         margin-bottom: 0px !important;
         }
         .google {
         color:#666;
         width:100%;
         height:40px;
         text-align:center;
         outline:none;
         border: 1px solid lightgrey;
         }
          form .error {
         color: #ff0000;
         }
         #second{display:none;}
</style>




































<% if false %>
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

<div class="login-reg-panel">
  <div class="login-info-box">
    <h2>Have an account?</h2>
    <p>Click here to login</p>
    <label id="label-register" for="log-reg-show">Login</label>
    <input type="radio" name="active-log-panel" id="log-reg-show"  checked="checked">
  </div>
            
  <div class="register-info-box">
    <h2>Don't have an account?</h2>
    <p>Click here to get registered</p>
    <label id="label-login" for="log-login-show">Register</label>
    <input type="radio" name="active-log-panel" id="log-login-show">
  </div>
            
  <div class="white-panel">
    <div class="login-show">
      <h2>LOGIN</h2>
      <%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
        <%= f.email_field :email, autofocus: true, autocomplete: "email", placeholder: 'Email' %>  
        <%= f.password_field :password, autocomplete: "current-password", placeholder: 'Password' %>
        <input type="submit" value="Login">
        <%= render "devise/shared/links" %>
      <% end %>
    </div>
    <div class="register-show">
      <h2>REGISTER</h2>
      <% categories = ["South Indian","Soup","Snacks","Chinese","Sandwich","Burgers","Beer","Beverages","Shakes","On The Rocks","Main Course","Indian Bread","Deserts"] %>
      <% business = resource.build_business %>
      <% categories.each_with_index do |cat, index| %>
        <% business.categories.new(name: cat) %>
      <% end %>
      <% i = 0 %>
      <%= form_for(resource, as: resource_name, multipart: true, url: registration_path(resource_name)) do |f| %>
        <%= f.email_field :email, autofocus: true, autocomplete: "email", placeholder: 'Email' %>  
        <%= f.password_field :password, autocomplete: "current-password", placeholder: 'Password' %>
        <%= f.password_field :password_confirmation, autocomplete: "current-password", placeholder: 'Confirm Password' %>
        <%= f.fields_for :business do |business| %>
          <%= business.text_field :name, placeholder: 'Restaurant Name' %>
          <%= business.text_field :phone_number, placeholder: 'Phone Number' %>
          <%= business.text_field :address, placeholder: 'Address' %>
          <label>Restaurant Image:</label>
          <%= business.file_field :logo, placeholder: 'Restaurant Image' %>
          <label>Select Categories:</label>
          <%= business.fields_for :categories do |category| %>
            <%# categories.each_slice(3) do | batch | %>
              <% if i==0 || i%3 == 0 %>
                <div class="row">
              <% end %>  
                  <%# batch.each do | element | %>
                    <div class="col-md-4">
                      <label>
                        <%#= check_box_tag "user[categories][]", element, false %>
                        <%= category.check_box :name, {checked: false}, category.object.name, false %>
                        <%= category.object.name %>
                      </label>
                    </div>
                  <%# end %>
              <% if i==2 || i==5 || i==8 || i==11 || i==12 %>
                </div>
              <% end %>
              <% i += 1 %>
            <%# end %>
          <% end %>
        <% end %>

        <input type="submit" value="Register">
      <% end %>
    </div>
  </div>
</div>


<script type="text/javascript">
  
    $(document).ready(function(){
    $('.login-info-box').fadeOut();
    $('.login-show').addClass('show-log-panel');
});


$('.login-reg-panel input[type="radio"]').on('change', function() {
    if($('#log-login-show').is(':checked')) {
        $('.register-info-box').fadeOut(); 
        $('.login-info-box').fadeIn();
        $('.white-panel').css('height', '860px');
        
        $('.white-panel').addClass('right-log');
        $('.register-show').addClass('show-log-panel');
        $('.login-show').removeClass('show-log-panel');
        
    }
    else if($('#log-reg-show').is(':checked')) {
        $('.register-info-box').fadeIn();
        $('.login-info-box').fadeOut();
        
        $('.white-panel').removeClass('right-log');
        $('.white-panel').css('height', '500px');
        
        $('.login-show').addClass('show-log-panel');
        $('.register-show').removeClass('show-log-panel');
    }
});
  

</script>



<style type="text/css">
     
@import url('https://fonts.googleapis.com/css?family=Mukta');
body{
  font-family: 'Mukta', sans-serif;
  height:100vh;
  min-height:550px;
  background-image: url(http://www.planwallpaper.com/static/images/Free-Wallpaper-Nature-Scenes.jpg);
  background-repeat: no-repeat;
  background-size:cover;
  background-position:center;
  position:relative;
    overflow-y: hidden;
}
a{
  text-decoration:none;
  color:#444444;
}
.login-reg-panel{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
  text-align:center;
    width:70%;
  right:0;left:0;
    margin:auto;
    height:400px;
    background-color: #9AB45B;
}
.white-panel{
    background-color: rgba(255,255, 255, 1);
    height:500px;
    position:absolute;
    top:-50px;
    width:50%;
    right:calc(50% - 50px);
    transition:.3s ease-in-out;
    z-index:0;
    box-shadow: 0 0 15px 9px #00000096;
}
.login-reg-panel input[type="radio"]{
    position:relative;
    display:none;
}
.login-reg-panel{
    color:#fff;
}
.login-reg-panel #label-login, 
.login-reg-panel #label-register{
    border:1px solid #fff;
    padding:5px 5px;
    width:150px;
    display:block;
    text-align:center;
    border-radius:10px;
    cursor:pointer;
    font-weight: 600;
    font-size: 18px;
    cursor: pointer;
}
.login-info-box{
    width:30%;
    padding:0 50px;
    top:20%;
    left:0;
    position:absolute;
    text-align:left;
}
.register-info-box{
    width:30%;
    padding:0 50px;
    top:20%;
    right:0;
    position:absolute;
    text-align:left;
    
}
.right-log{right:50px !important;}

.login-show, 
.register-show{
    z-index: 1;
    display:none;
    opacity:0;
    transition:0.3s ease-in-out;
    color:#242424;
    text-align:left;
    padding:50px;
}
.show-log-panel{
    display:block;
    opacity:0.9;
}
.login-show input[type="email"], .login-show input[type="text"], .login-show input[type="password"]{
    width: 100%;
    display: block;
    margin:20px 0;
    /*padding: 15px;*/
    padding: 8px;
    border: 1px solid #b5b5b5;
    outline: none;
}
.login-show input[type="submit"] {
    max-width: 150px;
    width: 100%;
    background: #444444;
    color: #f9f9f9;
    border: none;
    padding: 10px;
    text-transform: uppercase;
    border-radius: 2px;
    float:right;
    cursor:pointer;
}
.login-show a{
    display:inline-block;
    padding:10px 0;
}

.register-show input[type="file"],.register-show input[type="email"],.register-show input[type="text"], .register-show input[type="password"]{
    width: 100%;
    display: block;
    margin:20px 0;
    /*padding: 15px;*/
    padding: 8px;
    border: 1px solid #b5b5b5;
    outline: none;
}
.register-show input[type="submit"] {
    max-width: 150px;
    width: 100%;
    background: #444444;
    color: #f9f9f9;
    border: none;
    padding: 10px;
    text-transform: uppercase;
    border-radius: 2px;
    float:right;
    cursor:pointer;
}
.credit {
    position:absolute;
    bottom:10px;
    left:10px;
    color: #3B3B25;
    margin: 0;
    padding: 0;
    font-family: Arial,sans-serif;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: bold;
    letter-spacing: 1px;
    z-index: 99;
}
a{
  text-decoration:none;
  color:#2c7715;
}
    
    
    
</style>
<% end %>

<% if false %>
<h2>Log in</h2>

<%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
  <div class="field">
    <%= f.label :email %><br />
    <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
  </div>

  <div class="field">
    <%= f.label :password %><br />
    <%= f.password_field :password, autocomplete: "current-password" %>
  </div>

  <% if devise_mapping.rememberable? %>
    <div class="field">
      <%= f.check_box :remember_me %>
      <%= f.label :remember_me %>
    </div>
  <% end %>

  <div class="actions">
    <%= f.submit "Log in" %>
  </div>
<% end %>

<%= render "devise/shared/links" %>
<% end %>
